summaryrefslogtreecommitdiffstats
path: root/.local/bin/ifinstalled
diff options
context:
space:
mode:
authorLuke Smith <luke@lukesmith.xyz>2020-04-18 10:33:58 -0400
committerLuke Smith <luke@lukesmith.xyz>2020-04-18 10:33:58 -0400
commit37788be5d97cf9c32be1abae76fddc77f4ea87f6 (patch)
tree33389a3d010938a33b29a2f9934e788d0d1c6bfa /.local/bin/ifinstalled
parent82f016a5c34f3495414e28772039770daccee8a7 (diff)
downloadeibhear-37788be5d97cf9c32be1abae76fddc77f4ea87f6.tar.gz
eibhear-37788be5d97cf9c32be1abae76fddc77f4ea87f6.tar.zst
eibhear-37788be5d97cf9c32be1abae76fddc77f4ea87f6.zip
ifinstalled now checks for packages, iplocate fix,
sleep removed from torwrap
Diffstat (limited to '.local/bin/ifinstalled')
-rwxr-xr-x.local/bin/ifinstalled8
1 files changed, 6 insertions, 2 deletions
diff --git a/.local/bin/ifinstalled b/.local/bin/ifinstalled
index c8e1c2e..04c0eef 100755
--- a/.local/bin/ifinstalled
+++ b/.local/bin/ifinstalled
@@ -1,4 +1,8 @@
#!/bin/sh
-# If $1 command is not available, error code and notify.
-command -v "$1" >/dev/null || { notify-send "📦 $1" "must be installed for this function." && exit 1 ;}
+# Some optional functions in LARBS require programs not installed by default. I
+# use this little script to check to see if a command exists and if it doesn't
+# it informs the user that they need that command to continue. This is used in
+# various other scripts for clarity's sake.
+
+pacman -Qq "$1" >/dev/null || { notify-send "📦 $1" "must be installed for this function." && exit 1 ;}